name: e3sm_diags_dev_py314
channels:
  - conda-forge
  - defaults
dependencies:
  - _openmp_mutex=4.5=20_gnu
  - _python_abi3_support=1.0=hd8ed1ab_2
  - affine=2.4.0=pyhd8ed1ab_1
  - alabaster=1.0.0=pyhd8ed1ab_1
  - antimeridian=0.4.6=pyhd8ed1ab_0
  - asttokens=3.0.1=pyhd8ed1ab_0
  - attr=2.5.2=h39aace5_0
  - attrs=25.4.0=pyhcf101f3_1
  - aws-c-auth=0.9.6=hb9c0fe4_1
  - aws-c-cal=0.9.13=h2c9d079_1
  - aws-c-common=0.12.6=hb03c661_0
  - aws-c-compression=0.3.2=h8b1a151_0
  - aws-c-event-stream=0.5.9=h841be55_2
  - aws-c-http=0.10.10=hf621c6d_0
  - aws-c-io=0.26.1=h3ca20c3_1
  - aws-c-mqtt=0.14.0=ha25ca29_1
  - aws-c-s3=0.11.5=h9b5df67_3
  - aws-c-sdkutils=0.2.4=h8b1a151_4
  - aws-checksums=0.2.10=h8b1a151_0
  - aws-crt-cpp=0.37.3=hb153662_0
  - aws-sdk-cpp=1.11.747=h133b1ee_1
  - azure-core-cpp=1.16.2=h206d751_0
  - azure-identity-cpp=1.13.3=hed0cdb0_1
  - azure-storage-blobs-cpp=12.16.0=hdd73cc9_1
  - azure-storage-common-cpp=12.12.0=ha7a2c86_1
  - azure-storage-files-datalake-cpp=12.14.0=h52c5a47_1
  - babel=2.18.0=pyhcf101f3_1
  - backports.zstd=1.3.0=py314h680f03e_0
  - beautifulsoup4=4.14.3=pyha770c72_0
  - bleach=6.3.0=pyhcf101f3_1
  - blosc=1.21.6=he440d0b_1
  - bokeh=3.8.2=pyhd8ed1ab_0
  - branca=0.8.2=pyhd8ed1ab_0
  - brotli=1.2.0=hed03a55_1
  - brotli-bin=1.2.0=hb03c661_1
  - brotli-python=1.2.0=py314h3de4e8d_1
  - bzip2=1.0.8=hda65f42_9
  - c-ares=1.34.6=hb03c661_0
  - ca-certificates=2026.2.25=hbd8a1cb_0
  - cartopy=0.24.0=py314ha0b5721_1
  - cartopy_offlinedata=0.24.0=pyhd8ed1ab_1
  - certifi=2026.2.25=pyhd8ed1ab_0
  - cf-units=3.3.1=py314hc02f841_0
  - cf-xarray=0.10.11=pyhd8ed1ab_1
  - cf_xarray=0.10.11=pyhd8ed1ab_1
  - cffi=2.0.0=py314h4a8dc5f_1
  - cfgv=3.5.0=pyhd8ed1ab_0
  - cftime=1.6.5=py314hc02f841_1
  - charset-normalizer=3.4.5=pyhd8ed1ab_0
  - cli-ui=0.17.2=pyhd8ed1ab_0
  - click=8.3.1=pyh8f84b5b_1
  - click-plugins=1.1.1.2=pyhd8ed1ab_0
  - cligj=0.7.2=pyhd8ed1ab_2
  - cloudpickle=3.1.2=pyhcf101f3_1
  - colorama=0.4.6=pyhd8ed1ab_1
  - colorcet=3.1.0=pyhd8ed1ab_1
  - comm=0.2.3=pyhe01879c_0
  - contextlib2=21.6.0=pyhd8ed1ab_1
  - contourpy=1.3.3=py314h97ea11e_4
  - coverage=7.13.4=py314h67df5f8_0
  - cpython=3.14.3=py314hd8ed1ab_101
  - cycler=0.12.1=pyhcf101f3_2
  - cytoolz=1.1.0=py314h5bd0f2a_2
  - dask=2026.1.2=pyhcf101f3_1
  - dask-core=2026.1.2=pyhcf101f3_0
  - datashader=0.18.2=pyhd8ed1ab_0
  - debugpy=1.8.20=py314h42812f9_0
  - decorator=5.2.1=pyhd8ed1ab_0
  - distlib=0.4.0=pyhd8ed1ab_0
  - distributed=2026.1.2=pyhcf101f3_1
  - docopt=0.6.2=pyhd8ed1ab_2
  - docutils=0.22.4=pyhd8ed1ab_0
  - esmf=8.9.1=nompi_hdb11210_1
  - esmpy=8.9.1=pyhdfbf58e_0
  - exceptiongroup=1.3.1=pyhd8ed1ab_0
  - executing=2.2.1=pyhd8ed1ab_0
  - filelock=3.25.1=pyhd8ed1ab_0
  - folium=0.20.0=pyhd8ed1ab_0
  - fonttools=4.62.0=pyh7db6752_0
  - freetype=2.14.2=ha770c72_0
  - freexl=2.0.0=h9dce30a_2
  - fsspec=2026.2.0=pyhd8ed1ab_0
  - future=1.0.0=pyhd8ed1ab_2
  - geopandas=1.1.3=pyhd8ed1ab_0
  - geopandas-base=1.1.3=pyha770c72_0
  - geos=3.14.1=h480dda7_0
  - geoviews=1.15.1=pyhd8ed1ab_0
  - geoviews-core=1.15.1=pyha770c72_0
  - gflags=2.2.2=h5888daf_1005
  - giflib=5.2.2=hd590300_0
  - glog=0.7.1=hbabe93e_0
  - h2=4.3.0=pyhcf101f3_0
  - hdf4=4.2.15=h2a13503_7
  - hdf5=1.14.6=nompi_h19486de_106
  - healpix=2025.1=py314hc02f841_2
  - holoviews=1.22.1=pyhd8ed1ab_0
  - hpack=4.1.0=pyhd8ed1ab_0
  - hvplot=0.12.2=pyhd8ed1ab_0
  - hyperframe=6.1.0=pyhd8ed1ab_0
  - icu=78.2=h33c6efd_0
  - identify=2.6.17=pyhd8ed1ab_0
  - idna=3.11=pyhd8ed1ab_0
  - imagesize=1.4.1=pyhd8ed1ab_0
  - importlib-metadata=8.7.0=pyhe01879c_1
  - importlib_resources=6.5.2=pyhd8ed1ab_0
  - iniconfig=2.3.0=pyhd8ed1ab_0
  - ipykernel=7.2.0=pyha191276_1
  - ipython=9.11.0=pyhecfbec7_0
  - ipython_pygments_lexers=1.1.1=pyhd8ed1ab_0
  - jedi=0.19.2=pyhd8ed1ab_1
  - jinja2=3.1.6=pyhcf101f3_1
  - joblib=1.5.3=pyhd8ed1ab_0
  - json-c=0.18=h6688a6e_0
  - jupyter_client=8.8.0=pyhcf101f3_0
  - jupyter_core=5.9.1=pyhc90fa1f_0
  - keyutils=1.6.3=hb9d3cd8_0
  - kiwisolver=1.5.0=py314h97ea11e_0
  - krb5=1.22.2=ha1258a1_0
  - lcms2=2.18=h0c24ade_0
  - ld_impl_linux-64=2.45.1=default_hbd61a6d_101
  - lerc=4.1.0=hdb68285_0
  - libabseil=20260107.1=cxx17_h7b12aa8_0
  - libaec=1.1.5=h088129d_0
  - libarchive=3.8.6=gpl_hc2c16d8_100
  - libarrow=23.0.1=h711ef25_3_cpu
  - libarrow-acero=23.0.1=h635bf11_3_cpu
  - libarrow-compute=23.0.1=h53684a4_3_cpu
  - libarrow-dataset=23.0.1=h635bf11_3_cpu
  - libarrow-substrait=23.0.1=hb4dd7c2_3_cpu
  - libblas=3.11.0=5_h4a7cf45_openblas
  - libbrotlicommon=1.2.0=hb03c661_1
  - libbrotlidec=1.2.0=hb03c661_1
  - libbrotlienc=1.2.0=hb03c661_1
  - libcblas=3.11.0=5_h0358290_openblas
  - libcrc32c=1.1.2=h9c3ff4c_0
  - libcurl=8.19.0=hcf29cc6_0
  - libdeflate=1.25=h17f619e_0
  - libedit=3.1.20250104=pl5321h7949ede_0
  - libev=4.33=hd590300_2
  - libevent=2.1.12=hf998b51_1
  - libexpat=2.7.4=hecca717_0
  - libffi=3.5.2=h3435931_0
  - libfreetype=2.14.2=ha770c72_0
  - libfreetype6=2.14.2=h73754d4_0
  - libgcc=15.2.0=he0feb66_18
  - libgcc-ng=15.2.0=h69a702a_18
  - libgdal-core=3.12.2=he63569f_2
  - libgfortran=15.2.0=h69a702a_18
  - libgfortran5=15.2.0=h68bc16d_18
  - libgomp=15.2.0=he0feb66_18
  - libgoogle-cloud=2.39.0=h9d11ab5_1
  - libgoogle-cloud-storage=2.39.0=hdbdcf42_1
  - libgrpc=1.78.0=h1d1128b_1
  - libhwy=1.3.0=h4c17acf_1
  - libiconv=1.18=h3b78370_2
  - libjpeg-turbo=3.1.2=hb03c661_0
  - libjxl=0.11.2=ha09017c_0
  - libkml=1.3.0=haa4a5bd_1022
  - liblapack=3.11.0=5_h47877c9_openblas
  - liblzma=5.8.2=hb03c661_0
  - libmpdec=4.0.0=hb03c661_1
  - libnetcdf=4.10.0=nompi_hbf2fc22_100
  - libnghttp2=1.67.0=had1ee68_0
  - libnsl=2.0.1=hb9d3cd8_1
  - libopenblas=0.3.30=pthreads_h94d23a6_4
  - libopentelemetry-cpp=1.21.0=h9692893_2
  - libopentelemetry-cpp-headers=1.21.0=ha770c72_2
  - libparquet=23.0.1=h7376487_3_cpu
  - libpng=1.6.55=h421ea60_0
  - libprotobuf=6.33.5=h2b00c02_0
  - libre2-11=2025.11.05=h0dc7533_1
  - librttopo=1.1.0=h46dd2a8_20
  - libsodium=1.0.21=h280c20c_3
  - libspatialite=5.1.0=gpl_h2abfd87_119
  - libsqlite=3.52.0=hf4e2dac_0
  - libssh2=1.11.1=hcf80075_0
  - libstdcxx=15.2.0=h934c35e_18
  - libstdcxx-ng=15.2.0=hdf11a46_18
  - libthrift=0.22.0=h454ac66_1
  - libtiff=4.7.1=h9d88235_1
  - libudunits2=2.2.28=h40f5838_3
  - libutf8proc=2.11.3=hfe17d71_0
  - libuuid=2.41.3=h5347b49_0
  - libwebp-base=1.6.0=hd42ef1d_0
  - libxcb=1.17.0=h8a09558_0
  - libxml2=2.15.2=he237659_0
  - libxml2-16=2.15.2=hca6bf5a_0
  - libxml2-devel=2.15.2=he237659_0
  - libxslt=1.1.43=h711ed8c_1
  - libzip=1.11.2=h6991a6a_0
  - libzlib=1.3.1=hb9d3cd8_2
  - linkify-it-py=2.1.0=pyhcf101f3_0
  - llvmlite=0.46.0=py314h946fb2a_0
  - locket=1.0.0=pyhd8ed1ab_0
  - lxml=6.0.2=py314hae3bed6_2
  - lz4=4.4.5=py314hd4c109c_1
  - lz4-c=1.10.0=h5888daf_1
  - lzo=2.10=h280c20c_1002
  - mache=2.1.0=pyhcf101f3_1
  - mapclassify=2.10.0=pyhd8ed1ab_1
  - markdown=3.10.2=pyhcf101f3_0
  - markdown-it-py=4.0.0=pyhd8ed1ab_0
  - markupsafe=3.0.3=py314h67df5f8_1
  - matplotlib-base=3.10.8=py314h1194b4b_0
  - matplotlib-inline=0.2.1=pyhd8ed1ab_0
  - mdit-py-plugins=0.5.0=pyhd8ed1ab_0
  - mdurl=0.1.2=pyhd8ed1ab_1
  - minizip=4.0.10=h05a5f5f_0
  - msgpack-python=1.1.2=py314h9891dd4_1
  - multipledispatch=0.6.0=pyhd8ed1ab_1
  - munkres=1.1.4=pyhd8ed1ab_1
  - muparser=2.3.5=h5888daf_0
  - mypy=1.19.1=py314h5bd0f2a_0
  - mypy_extensions=1.1.0=pyha770c72_0
  - narwhals=2.18.0=pyhcf101f3_0
  - ncurses=6.5=h2d0b736_3
  - nest-asyncio=1.6.0=pyhd8ed1ab_1
  - netcdf-fortran=4.6.2=nompi_hdaf510e_103
  - netcdf4=1.7.4=nompi_py311ha0596eb_105
  - networkx=3.6.1=pyhcf101f3_0
  - nlohmann_json=3.12.0=h54a6638_1
  - nodeenv=1.10.0=pyhd8ed1ab_0
  - numba=0.64.0=py314h8169c2f_0
  - numpy=2.4.2=py314h2b28147_1
  - openjpeg=2.5.4=h55fea9a_0
  - openssl=3.6.1=h35e630c_1
  - orc=2.2.2=hbb90d81_1
  - output_viewer=1.3.3=pyhd8ed1ab_2
  - packaging=26.0=pyhcf101f3_0
  - pandas=3.0.1=py314hb4ffadd_0
  - panel=1.8.9=pyhd8ed1ab_0
  - param=2.3.2=pyhc455866_0
  - parso=0.8.6=pyhcf101f3_0
  - partd=1.4.2=pyhd8ed1ab_0
  - pathspec=1.0.4=pyhd8ed1ab_0
  - patsy=1.0.2=pyhcf101f3_0
  - pcre2=10.47=haa7fec5_0
  - pexpect=4.9.0=pyhd8ed1ab_1
  - pillow=12.1.1=py314h8ec4b1a_0
  - pip=26.0.1=pyh145f28c_0
  - platformdirs=4.9.4=pyhcf101f3_0
  - pluggy=1.6.0=pyhf9edf01_1
  - polars=1.38.1=pyh6a1acc5_0
  - polars-runtime-32=1.38.1=py310hffdcd12_0
  - pooch=1.9.0=pyhd8ed1ab_0
  - popt=1.19=h3b78370_0
  - pre-commit=4.5.1=pyha770c72_0
  - proj=9.7.1=he0df7b0_3
  - prometheus-cpp=1.3.0=ha5d0236_0
  - prompt-toolkit=3.0.52=pyha770c72_0
  - properscoring=0.1=pyhd8ed1ab_1
  - psutil=7.2.2=py314h0f05182_0
  - pthread-stubs=0.4=hb9d3cd8_1002
  - ptyprocess=0.7.0=pyhd8ed1ab_1
  - pure_eval=0.2.3=pyhd8ed1ab_1
  - pyarrow=23.0.1=py314hdafbbf9_0
  - pyarrow-core=23.0.1=py314h969be7f_0_cpu
  - pycparser=2.22=pyh29332c3_1
  - pyct=0.6.0=pyhd8ed1ab_0
  - pygments=2.19.2=pyhd8ed1ab_0
  - pyogrio=0.12.1=py314hbcf5174_0
  - pyparsing=3.3.2=pyhcf101f3_0
  - pyproj=3.7.2=py314h68799e9_3
  - pyshp=3.0.3=pyhd8ed1ab_0
  - pysocks=1.7.1=pyha55dd90_7
  - pytest=9.0.2=pyhcf101f3_0
  - pytest-cov=7.0.0=pyhcf101f3_1
  - python=3.14.3=h32b2ec7_101_cp314
  - python-dateutil=2.9.0.post0=pyhe01879c_2
  - python-discovery=1.1.3=pyhcf101f3_0
  - python-gil=3.14.3=h4df99d1_101
  - python-librt=0.8.1=py314h0f05182_0
  - python_abi=3.14=8_cp314
  - pyviz_comms=3.0.6=pyhd8ed1ab_0
  - pywavelets=1.9.0=py314hc02f841_2
  - pyyaml=6.0.3=py314h67df5f8_1
  - pyzmq=27.1.0=py312hda471dd_2
  - qhull=2020.2=h434a139_5
  - rasterio=1.5.0=py314ha1f92a4_0
  - re2=2025.11.05=h5301d42_1
  - readline=8.3=h853b02a_0
  - regionmask=0.13.0=pyhd8ed1ab_0
  - requests=2.32.5=pyhcf101f3_1
  - retrying=1.4.2=pyhe01879c_0
  - roman-numerals=4.1.0=pyhd8ed1ab_0
  - rsync=3.4.1=h078a6ae_3
  - ruff=0.14.10=h4196e79_0
  - s2n=1.7.0=ha63dd3a_1
  - schema=0.7.7=pyhd8ed1ab_0
  - scikit-learn=1.8.0=np2py314hf09ca88_1
  - scipy=1.17.1=py314hf07bd8e_0
  - setuptools=82.0.1=pyh332efcf_0
  - shapely=2.1.2=py314hbe3edd8_2
  - six=1.17.0=pyhe01879c_1
  - snappy=1.2.2=h03e3b7b_1
  - snowballstemmer=3.0.1=pyhd8ed1ab_0
  - snuggs=1.4.7=pyhd8ed1ab_2
  - sortedcontainers=2.4.0=pyhd8ed1ab_1
  - soupsieve=2.8.3=pyhd8ed1ab_0
  - sparse=0.18.0=pyhcf101f3_0
  - spatialpandas=0.5.0=pyhd8ed1ab_0
  - sphinx=9.1.0=pyhd8ed1ab_0
  - sphinx-copybutton=0.5.2=pyhd8ed1ab_1
  - sphinx-multiversion=0.2.4=pyhd8ed1ab_1
  - sphinx_rtd_theme=3.1.0=py314h06a4308_0
  - sphinxcontrib-applehelp=2.0.0=pyhd8ed1ab_1
  - sphinxcontrib-devhelp=2.0.0=pyhd8ed1ab_1
  - sphinxcontrib-htmlhelp=2.1.0=pyhd8ed1ab_1
  - sphinxcontrib-jquery=4.1=pyhd8ed1ab_1
  - sphinxcontrib-jsmath=1.0.1=pyhd8ed1ab_1
  - sphinxcontrib-qthelp=2.0.0=pyhd8ed1ab_1
  - sphinxcontrib-serializinghtml=1.1.10=pyhd8ed1ab_1
  - sqlite=3.52.0=h04a0ce9_0
  - stack_data=0.6.3=pyhd8ed1ab_1
  - statsmodels=0.14.6=py314hc02f841_0
  - tabulate=0.10.0=pyhcf101f3_0
  - tblib=3.2.2=pyhcf101f3_0
  - tbump=6.9.0=pyhd8ed1ab_0
  - termcolor=3.3.0=pyhd8ed1ab_0
  - threadpoolctl=3.6.0=pyhecae5ae_0
  - tk=8.6.13=noxft_h366c992_103
  - tomli=2.4.0=pyhcf101f3_0
  - tomlkit=0.14.0=pyha770c72_0
  - toolz=1.1.0=pyhd8ed1ab_1
  - tornado=6.5.4=py314h7b0bd38_0
  - tqdm=4.67.3=pyh8f84b5b_0
  - traitlets=5.14.3=pyhd8ed1ab_1
  - types-pyyaml=6.0.12.20250915=pyhd8ed1ab_1
  - typing-extensions=4.15.0=h396c80c_0
  - typing_extensions=4.15.0=pyhcf101f3_0
  - tzdata=2025c=hc9c84f9_1
  - uc-micro-py=2.0.0=pyhcf101f3_0
  - udunits2=2.2.28=h40f5838_3
  - ukkonen=1.1.0=py314h9891dd4_0
  - unicodedata2=17.0.1=py314h5bd0f2a_0
  - unidecode=1.4.0=pyhcf101f3_1
  - uriparser=0.9.8=hac33072_0
  - urllib3=2.6.3=pyhd8ed1ab_0
  - uxarray=2025.05.2=pyhd8ed1ab_0
  - virtualenv=21.2.0=pyhcf101f3_0
  - wcwidth=0.6.0=pyhd8ed1ab_0
  - webencodings=0.5.1=pyhd8ed1ab_3
  - xarray=2026.2.0=pyhcf101f3_0
  - xcdat=0.11.2=pyhd8ed1ab_0
  - xerces-c=3.3.0=hd9031aa_1
  - xesmf=0.9.2=pyhd8ed1ab_0
  - xgcm=0.9.0=pyhd8ed1ab_0
  - xhistogram=0.3.2=pyhd8ed1ab_0
  - xorg-libxau=1.0.12=hb03c661_1
  - xorg-libxdmcp=1.1.5=hb03c661_1
  - xskillscore=0.0.29=pyhd8ed1ab_0
  - xxhash=0.8.3=hb47aa4a_0
  - xyzservices=2025.11.0=pyhd8ed1ab_0
  - yaml=0.2.5=h280c20c_3
  - zeromq=4.3.5=h41580af_10
  - zict=3.0.0=pyhd8ed1ab_1
  - zipp=3.23.0=pyhcf101f3_1
  - zlib=1.3.1=hb9d3cd8_2
  - zlib-ng=2.3.3=hceb46e0_1
  - zstd=1.5.7=hb78ec9c_6
  - pip:
      - e3sm-diags==3.1.1
prefix: /global/cfs/cdirs/e3sm/zhang40/conda_envs/e3sm_diags_dev_py314
